### Method

# PapersDocument Document get_page_size_uncached

since: 49.0

#### Declaration [src]

    void
    pps_document_get_page_size_uncached (
      PpsDocument* document,
      PpsPage* page,
      double* width,
      double* height
    )

#### Description [src]

Calls the `document`‘s backend to fetch the page size. This should only be used on very specific cases, where it is not desired that the cache should be loaded. Calling with a loaded cache is a programmers’ error.

Available since: 49.0

#### Parameters

`page`

  Type: `PpsPage`

  A `PpsPage`.

  The data is owned by the caller of the method.

`width`

  Type: `double*`

  Return location for the width of the page, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `double*`

  Return location for the height of the page, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.